> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Document Types



## OpenAPI

````yaml /openapi.json patch /v1/workspaces/{workspaceId}/projects/{projectId}/document-types/{typeId}
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/document-types/{typeId}:
    patch:
      tags:
        - Document Types
      summary: Update Document Types
      operationId: DocumentTypesController_update_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: projectId
          required: true
          in: path
          schema:
            type: string
        - name: typeId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateDocumentTypeDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocumentTypeResponseDto'
components:
  schemas:
    UpdateDocumentTypeDto:
      type: object
      properties:
        name:
          type: string
          minLength: 1
          maxLength: 255
        description:
          default: ''
          type: string
          maxLength: 10000
        phases:
          default: []
          maxItems: 9
          type: array
          items:
            type: string
            enum:
              - pre_design
              - programming
              - schematic_design
              - design_development
              - construction_documents
              - bidding_negotiation
              - procurement
              - construction_administration
              - closeout
        isConfidential:
          default: false
          type: boolean
        expectedVersion:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
      required:
        - name
        - expectedVersion
      additionalProperties: false
    DocumentTypeResponseDto:
      type: object
      properties:
        id:
          type: string
        projectId:
          type: string
        name:
          type: string
        description:
          type: string
        phases:
          type: array
          items:
            type: string
            enum:
              - pre_design
              - programming
              - schematic_design
              - design_development
              - construction_documents
              - bidding_negotiation
              - procurement
              - construction_administration
              - closeout
        isConfidential:
          type: boolean
        version:
          type: number
      required:
        - id
        - projectId
        - name
        - description
        - phases
        - isConfidential
        - version

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.